"Fatal exception of type MWException" on many Wikivoyage pages
Closed, ResolvedPublic

Description

Nearly all page requests on Wikivoyage are currently failing with "Fatal exception of type MWException". See for example https://en.wikivoyage.org/wiki/Special:RecentChanges. This has been ongoing for at least 10-15 minutes.


Version: wmf-deployment
Severity: critical

bzimport set Reference to bz59221.
Wrh2 created this task.Via LegacyJan 2 2014, 6:53 PM
bzimport added a comment.Via ConduitJan 2 2014, 6:55 PM

7rt1j wrote:

Ditto at Wikimedia Commons: "[8672d3f8] 2014-01-02 18:54:37: Fatal exception of type MWException".

Was reported at [[Wikipedia:Village pump (technical)]] at 18:40.

bzimport added a comment.Via ConduitJan 2 2014, 7:28 PM

7rt1j wrote:

To clarify, I got the error above accessing the Main Page on Commons. The Main Page on Wikivoyage works for me, but Special:RecentChanges is broken on both sites. The API still works fine; it's just normal web access that is broken.

Looking at recent changes on Commons via the API (https://commons.wikimedia.org/w/api.php?action=query&generator=recentchanges&prop=info|revisions&rvprop=user|comment), I see some normal users (i.e. not bots) are successfully making edits, including some IP address users.

In case this is a geographic thing, I'll note I'm trying to access Commons from the UK.

Wrh2 added a comment.Via ConduitJan 2 2014, 7:29 PM

I've found that reloading a page enough times on Wikivoyage will eventually result in the page loading correctly, but even the main page is usually failing.

bzimport added a comment.Via ConduitJan 2 2014, 8:31 PM

7rt1j wrote:

Both Commons and Wikivoyage are now working for me. I reloaded the page half a dozen times on each, but no more errors.

I've been away for the last hour, but comments at [[Wikipedia:Village pump (technical)#Commons down]] seem to indicate the issue cleared up a few minutes after my previous comment.

Wrh2 added a comment.Via ConduitJan 2 2014, 8:32 PM

https://en.wikivoyage.org/wiki/Wikivoyage:Travellers%27_pub#Fatal_exception_of_type_MWException seems to indicate that this was a localization caching issue that has now been resolved. Wikivoyage seems to be back to normal now.

Aklapper added a comment.Via ConduitJan 2 2014, 8:50 PM

Thanks for reporting this.
https://wikitech.wikimedia.org/wiki/Server_Admin_Log mentions
January 2

19:25 Reedy: stuff has been broken

and Reedy and greg-g (on Freenode IRC) are aware of it and investigating.

Aklapper added a comment.Via ConduitJan 2 2014, 8:54 PM

This should hopefully be fixed now:

<Reedy> exception.log is also quiet again (to confirm it's fixed)
See https://ganglia.wikimedia.org/latest/graph.php?r=day&z=xlarge&title=MediaWiki+errors&vl=errors+%2F+sec&x=0.5&n=&hreg[]=vanadium.eqiad.wmnet&mreg[]=fatal|exception&gtype=stack&glegend=show&aggregate=1&embed=1

Closing soon if there's no new issues.

tomasz added a comment.Via ConduitJan 2 2014, 9:27 PM

This has been fixed ages ago (around 19:29 UTC).

TTO added a comment.Via ConduitJan 3 2014, 5:01 AM
  • Bug 59220 has been marked as a duplicate of this bug. ***

Add Comment

Column Prototype
This is a very early prototype of a persistent column. It is not expected to work yet, and leaving it open will activate other new features which will break things. Press "\" (backslash) on your keyboard to close it now.